Rygel.RootDevice – librygel-core Reference Manual

# RootDevice

## Object Hierarchy:

## Description:

public class RootDevice : `RootDevice`

This represents a UPnP root device.

Each Rygel plugin corresponds to one UPnP root device, so each #RygelPlugin corresponds to one #RygelRootDevice.

Rygel creates the #RygelRootDevice by calling rygel_root_device_factory_create() with the plugin, having first instantiated the #RygelRootDeviceFactory for a #GUPnPContext.

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public `ArrayList`<`ServiceInfo`> services { get; }

### Creation methods:

- public RootDevice (`Context` context, Plugin plugin, `XMLDoc` description_doc, `string` description_path, `string` description_dir)

### Methods:

- public override void constructed ()

### Inherited Members:

All known members inherited from class GUPnP.RootDevice

- available
- description_dir
- description_doc
- description_path

- get_available
- get_description_dir
- get_description_path

- get_relative_location
- get_ssdp_resource_group
- set_available

All known members inherited from class GUPnP.Device

- root_device

All known members inherited from class GUPnP.DeviceInfo

- context
- device_type
- location
- resource_factory
- udn
- url_base
- get_context
- get_description_value
- get_device
- get_device_type
- get_friendly_name

- get_icon_url
- get_location
- get_manufacturer
- get_manufacturer_url
- get_model_description
- get_model_name
- get_model_number
- get_model_url
- get_presentation_url
- get_resource_factory
- get_serial_number

- get_service
- get_udn
- get_upc
- get_url_base
- list_device_types
- list_devices
- list_dlna_capabilities
- list_dlna_device_class_identifier
- list_service_types
- list_services

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count